Edit

Data - Retrieve ObjectData By Class

Retrieves Objects data for the specified class name.

POST http://<Servername>/OperationsManager/data/scomObjectsByClass

Request Body

Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"

Name Type Description
fullClassName

string

Provide the Full class name.

Responses

Name Type Description
200 OK

TableDataResponse

OK.Successfully retrieved object Data for the specified Class.

Media Types: "application/json", "text/json", "application/xml", "text/xml"

Examples

RetrieveObjectDataByClass

Sample request

POST http://<Servername>/OperationsManager/data/scomObjectsByClass

[
  "System.Library!System.Computer"
]

Sample response

{
  "tableColumns": [
    {
      "field": "displayname",
      "header": "Display name",
      "type": null,
      "hidden": false
    },
    {
      "field": "path",
      "header": "Path",
      "type": null,
      "hidden": false
    },
    {
      "field": "id",
      "header": "ID",
      "type": null,
      "hidden": true
    },
    {
      "field": "fullname",
      "header": "Full name",
      "type": null,
      "hidden": false
    }
  ],
  "rows": [
    {
      "displayname": "LlhmpKkOvfnZ2tR7VF1yIcgo02c1S7q9FPLsa9h7hl5kEHVHViIKu9vtE3wxst5xyoTmhigWi3Qgg5ktgUftzgOGecn.NuPypIvaxtkxBvm0sONJTCQYNM7SZNIF48Jxoc1YKJ5wtssD3XYPOeO",
      "path": null,
      "fullname": "Microsoft.Windows.Computer:LlhmpKkOvfnZ2tR7VF1yIcgo02c1S7q9FPLsa9h7hl5kEHVHViIKu9vtE3wxst5xyoTmhigWi3Qgg5ktgUftzgOGecn.NuPypIvaxtkxBvm0sONJTCQYNM7SZNIF48Jxoc1YKJ5wtssD3XYPOeO",
      "id": "aeee35a8-c9bc-916d-a86a-ab4fd0e4f8e8"
    },
    {
      "displayname": "SCOMNFMPDEV0015.smx.net",
      "path": null,
      "fullname": "Microsoft.Windows.Computer:SCOMNFMPDEV0015.smx.net",
      "id": "9f2ef630-9784-9e27-bbd0-af9900d8264f"
    }
  ]
}

Definitions

Name Description
TableColumn
TableDataResponse

TableColumn

Name Type Description
field

string

Name of the Column

header

string

Header of the column

hidden

boolean

Is column hidden

type

string

Type of the Column

TableDataResponse

Name Type Description
rows

object[]

Table Rows of data

tableColumns

TableColumn[]

Table columns of data